/*
* co_canopen.h - contains defines for all services
*
* Copyright (c) 2012 emtas GmbH
*
*-------------------------------------------------------------------
* $Id: co_canopen.h 5020 2013-11-22 17:21:33Z boe $

*-------------------------------------------------------------------
*
* Changelog:
*
*
*/

/**
* \brief defines for all services
*
* \file co_canopen.h - contains defines for all services
*
* This header inludes defines for all services of the CANopen library.
* It can be included instead of header files of each service.
*
*/

#ifndef CO_CANOPEN_H
#define CO_CANOPEN_H 1

#include <co_commtask.h>
#include <co_datatype.h>
#include <co_drv.h>
#include <co_emcy.h>
#include <co_led.h>
#include <co_lss.h>
#include <co_nmt.h>
#include <co_odaccess.h>
#include <co_pdo.h>
#include <co_sdo.h>
#include <co_store.h>
#include <co_sleep.h>
#include <co_sync.h>
#include <co_time.h>
#include <co_timer.h>


/* actual CANopen stack software version */
#define CO_STACK_VERSION	0x10600ul


/* function prototypes */

/**
* \brief coCanOpenStackInit - init of CANopen stack 
*
* This function is normally generated by the CANopen Device Designer
* and responsible for the intialization of the CANopen stack.
*
* \return RET_T
*/
RET_T coCanOpenStackInit(CO_EVENT_STORE_T pLoadFunction);

#endif /* CO_CANOPEN_H */
