/*
* co_sleep.h - contains defines for sleep services
*
* Copyright (c) 2013 emtas GmbH
*
*-------------------------------------------------------------------
* $Id: co_sleep.h 4302 2013-08-12 13:57:21Z  $

*-------------------------------------------------------------------
*
* Changelog:
*
*
*/

/**
* \brief defines for sleep services
*
* \file co_sleep.h - contains defines for sleep services
*
*/

#ifndef CO_SLEEP_H
#define CO_SLEEP_H 1

#include <co_datatype.h>


/* datatypes */

/**
* SLEEP states 
*/
typedef enum {
	CO_SLEEP_MODE_CHECK,		/**< check if sleep mode is possible */
	CO_SLEEP_MODE_OBJECTION,	/**< slave has send an objection */
	CO_SLEEP_MODE_PREPARE,		/**< automatic start sleep mode */
	CO_SLEEP_MODE_SILENT,		/**< sleep mode silent */
	CO_SLEEP_MODE_DOZE			/**< sleep mode doze */
} CO_SLEEP_MODE_T;



/** \brief function pointer to sleep event function 
 * \param sleep mode - node Id
 * 
 * \returnval 0 - ok
 * \returnval !=0 - error
 */
typedef UNSIGNED8 (* CO_EVENT_SLEEP_T)(CO_SLEEP_MODE_T); /*lint !e960 customer specific parameter names */



/* function prototypes */
void	coSleepModeStart(UNSIGNED16 waitTime);
RET_T	coEventRegister_SLEEP(CO_EVENT_SLEEP_T pFunction);
BOOL_T	coSleepModeActive(void);
void	coSleepModeCheck(UNSIGNED16	waitTime);
void	coSleepAwake(void);

#endif /* CO_SLEEP_H */
