/*
* co_sync.h - contains defines for sync services
*
* Copyright (c) 2012 emtas GmbH
*
*-------------------------------------------------------------------
* $Id: co_sync.h 1824 2012-11-08 12:42:08Z  $

*-------------------------------------------------------------------
*
* Changelog:
*
*
*/

/**
* \brief defines for sync services
*
* \file co_sync.h - contains defines for sync services
*/

#ifndef CO_SYNC_H
#define CO_SYNC_H 1

#include <co_datatype.h>


/* datatypes */

/** \brief function pointer to SYNC indication
 * \param nothing
 * 
 * \return void
 */
typedef void (* CO_EVENT_SYNC_T)(void);


/** \brief function pointer to SYNC Finished indication
 * \param nothing
 * 
 * \return void
 */
typedef void (* CO_EVENT_SYNC_FINISHED_T)(void);


RET_T coSyncInit(UNSIGNED32	cobId);
RET_T coEventRegister_SYNC(void (*pFunction)(void));
RET_T coEventRegister_SYNC_FINISHED(void (*pFunction)(void));

#endif /* CO_SYNC_H */
